Skip to main content
POST
/
api
/
v1
/
runs
/
{id}
/
promote
Promote a run to a dataset example
curl --request POST \
  --url https://studio.eigenpal.com/api/v1/runs/{id}/promote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "automationId": "<string>",
  "exampleId": "<string>",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Path Parameters

id
string
required

Body

application/json
name
string
Required string length: 1 - 128

Response

Created or updated a dataset example from the run

automationId
string
required
automationType
enum<string>
required
Available options:
workflow,
agent
exampleId
string
required
name
string | null
required